'use strict';

const helper    = require('./test-helper');
const expect    = require('chai').expect;
const miniprism = require('../src/miniprism');
const e         = helper.e;

describe('blank lines', function() {
  it('parses blank lines', function() {
    const source = 'Foo\n\n\nbar\n\nbaz\nqux';
    const actual = miniprism.highlight(source, 'markdown');

    expect(actual).to.eql(e([
      `.md-p.md-line{Foo}+`,
      `(.md-blank.md-line>br)+`,
      `(.md-blank.md-line>br)+`,
      `.md-p.md-line{bar}+`,
      `(.md-blank.md-line>br)+`,
      `.md-p.md-line{baz}+`,
      `.md-p.md-line{qux}+`,
    ].join('')));
  });

  it('parses blank lines in the last position', function() {
    const source = 'Foo\n';
    const actual = miniprism.highlight(source, 'markdown');

    expect(actual).to.eql(e([
      `.md-p.md-line{Foo}+`,
      `.md-blank.md-line>br`,
    ].join('')));
  });
});
