'use strict';

const helper    = require('./test-helper');
const expect    = require('chai').expect;
const miniprism = require('../src/miniprism');
const e         = helper.e;

describe('code blocks', function() {
  it('can highlight indented code blocks', function() {
    const source = '    Foo\n      Bar\nbaz';
    const actual = miniprism.highlight(source, 'markdown');

    expect(actual).to.eql(e([
      `.md-code.md-line{    Foo}+`,
      `.md-code.md-line{      Bar}+`,
      `.md-p.md-line{baz}`,
    ].join('')));
  });

  it('can highlight fenced code blocks', function() {
    const source = '```ruby\nclass Foo\n\nend\n```\nbar';
    const actual = miniprism.highlight(source, 'markdown');

    expect(actual).to.eql(e([
      `(.md-gfm.md-line>`,
        `(.md-gfm-limit.md-line>`,
          `span.md-gfm-fence{\`\`\`}+`,
          `span.md-gfm-info{ruby})+`,
        `.md-gfm-line.md-line{class Foo}+`,
        `(.md-gfm-line.md-line>br)+`,
        `.md-gfm-line.md-line{end}+`,
        `(.md-gfm-limit.md-line>`,
          `span.md-gfm-fence{\`\`\`}))+`,
      `.md-p.md-line{bar}`,
    ].join('')));
  });
});
