'use strict';

const miniprism  = require('../src/miniprism');
const { e }      = require('./test-helper');
const { expect } = require('chai');

describe('hashtags', () => {
  it('parses a hashtag in a paragraph', () => {
    const source = 'Foo #bar baz';
    const actual = miniprism.highlight(source, 'markdown');

    expect(actual).to.eql(e(`
      .md-p.md-line>
        {Foo }+
        (span.md-hashtag>
          span.md-hashtag-hash{#}+
          span.md-hashtag-tag{bar})+
        { baz}
    `));
  });

  it('parses a hashtag in an em', () => {
    const source = 'Foo *#bar* baz';
    const actual = miniprism.highlight(source, 'markdown');

    expect(actual).to.eql(e(`
      .md-p.md-line>
        {Foo }+
        (span.md-em.md-has-folding>
          .md-em-marker.md-folding{*}+
          (span.md-hashtag>
            span.md-hashtag-hash{#}+
            span.md-hashtag-tag{bar})+
          .md-em-marker.md-folding{*})+
        { baz}
    `));
  });
});
