'use strict';

const helper    = require('./test-helper');
const expect    = require('chai').expect;
const miniprism = require('../src/miniprism');
const e         = helper.e;

describe('link definitions', function() {
  it('parses link definitions', function() {
    const source = '[name]: https://www.example.com';
    const actual = miniprism.highlight(source, 'markdown');

    expect(actual).to.eql(e([
      '.md-link-def.md-line>',
        '(span.md-link-def-name>',
          'span.md-bracket-start{[}+',
          '{name}+',
          'span.md-bracket-end{]}+',
          'span.md-colon{:})+',
        'span.md-link-def-value{ https:&#x2F;&#x2F;www.example.com}',
    ].join('')));
  });

  it('does not parse inlines in link definitions', function() {
    const source = '[name]: https://www.example.com/foo_bar_baz';
    const actual = miniprism.highlight(source, 'markdown');

    expect(actual).to.eql(e([
      '.md-link-def.md-line>',
        '(span.md-link-def-name>',
          'span.md-bracket-start{[}+',
          '{name}+',
          'span.md-bracket-end{]}+',
          'span.md-colon{:})+',
        'span.md-link-def-value{ https:&#x2F;&#x2F;www.example.com&#x2F;foo_bar_baz}',
    ].join('')));
  });
});
