'use strict';

const helper    = require('./test-helper');
const expect    = require('chai').expect;
const miniprism = require('../src/miniprism');
const e         = helper.e;

describe('lists', function() {
  describe('ordered lists', function() {
    it('parses ordered list items', function() {
      const source = '1. Item';
      const actual = miniprism.highlight(source, 'markdown');

      expect(actual).to.eql(e([
        `.md-ol.md-line>`,
          `span.md-ol-marker{1. }+`,
          `{Item}`
      ].join('')));
    });
  });

  describe('unordered lists', function() {
    it('parses unordered list items', function() {
      const source = '- Item';
      const actual = miniprism.highlight(source, 'markdown');

      expect(actual).to.eql(e([
        `.md-ul.md-has-folding.md-line>`,
          `span.md-ul-marker.md-folding{- }+`,
          `{Item}`
      ].join('')));
    });
  });
});
