'use strict';

const helper    = require('./test-helper');
const expect    = require('chai').expect;
const miniprism = require('../src/miniprism');
const e         = helper.e;

describe('miniprism', function() {
  it('accepts a custom lineClass', function() {
    const actual = miniprism.highlight('test', 'markdown', {
      lineClass: 'Line'
    });

    expect(actual).to.eql(e('.md-p.Line{test}'));
  });

  it('accepts custom grammars', function() {
    const actual = miniprism.highlight('foo !bar!', { test: /!.*!/g });
    expect(actual).to.eql(e('{foo }+span.md-test{!bar!}'));
  });
});
